package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

public class WxMaDto {

    @Data
    @Accessors(chain = true)
    public static class GetUserInfo {

        @ApiModelProperty("code")
        @NotBlank(message = "code不能为空")
        private String code;

        @ApiModelProperty("用户数据")
        @NotBlank(message = "encryptedData不能为空")
        private String encryptedData;

        @NotBlank(message = "iv不能为空")
        @ApiModelProperty("加密算法的初始向量")
        private String iv;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty("昵称")
        private String nickName;

        @ApiModelProperty("性别")
        private String gender;

        @ApiModelProperty("语言")
        private String language;

        @ApiModelProperty("市")
        private String city;

        @ApiModelProperty("省")
        private String province;

        @ApiModelProperty("国家")
        private String country;

        @ApiModelProperty("openId")
        private String openId;

        @ApiModelProperty("手机号")
        private String tel;
    }
}
