package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.ThirdLoginDto;
import com.xy.dto.WxMaDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 第三方登录
 */
@RestMappingController("third-login")
public interface ThirdLoginService {

    /**
     * 登录
     *
     * @param thirdLoginDto
     * @return
     */
    @PostMapping("login")
    R<String> login(@RequestBody @Validated ThirdLoginDto thirdLoginDto);

    /**
     * 获取用户信息-微信小程序
     *
     * @param getUserInfo
     * @return
     */
    @PostMapping("getUserInfoWxMa")
    R<WxMaDto.Vo> getUserInfoWxMa(@RequestBody @Validated WxMaDto.GetUserInfo getUserInfo);
}
